Page MenuHomePhabricator

[TestBase.runCmd] Better error message when runCmd fails.
ClosedPublic

Authored by sivachandra on May 22 2015, 3:03 PM.

Details

Summary

Before:

AssertionError: False is not True : Process is launched successfully

After:

AssertionError: False is not True : Command 'run a.out' failed.
>>> error: invalid target, create a target using the 'target create' command
>>> Process could not be launched successfully

Diff Detail

Event Timeline

sivachandra retitled this revision from to [TestBase.runCmd] Better error message when runCmd fails..
sivachandra updated this object.
sivachandra edited the test plan for this revision. (Show Details)
vharron accepted this revision.May 22 2015, 3:49 PM
vharron added a reviewer: vharron.
vharron edited edge metadata.
This revision is now accepted and ready to land.May 22 2015, 3:49 PM
This revision now requires review to proceed.May 22 2015, 3:49 PM

I removed my approval, waiting for feedback from others.

sivachandra added a subscriber: Unknown Object (MLST).
clayborg accepted this revision.May 26 2015, 3:40 PM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.May 26 2015, 3:40 PM
sivachandra closed this revision.May 27 2015, 3:31 PM

I don't mind if you revert it.

My personal opinion, my change made the failure message more useful atleast for someone who was reading buildbot logs. Before I landed this, I did ask on lldb-dev if such a change was OK: http://lists.cs.uiuc.edu/pipermail/lldb-dev/2015-May/007545.html

I also agree that all such 'kinds' of failure messages should be changed in a similar fashion. My personal opinion again, there are far too many to attempt to change all at one go. My change was a small step and at a place which was hurting me the most.